/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//
// A2DP constants for aptX-HD codec
//

#ifndef A2DP_VENDOR_APTX_HD_CONSTANTS_H
#define A2DP_VENDOR_APTX_HD_CONSTANTS_H

/* aptX-HD codec specific settings */
#define A2DP_APTX_HD_CODEC_LEN 13

#define A2DP_APTX_HD_VENDOR_ID 0x000000D7
#define A2DP_APTX_HD_CODEC_ID_BLUETOOTH 0x0024
#define A2DP_APTX_HD_SAMPLERATE_44100 0x20
#define A2DP_APTX_HD_SAMPLERATE_48000 0x10
#define A2DP_APTX_HD_CHANNELS_STEREO 0x02
#define A2DP_APTX_HD_CHANNELS_MONO 0x01
#define A2DP_APTX_HD_ACL_SPRINT_RESERVED0 0x00
#define A2DP_APTX_HD_ACL_SPRINT_RESERVED1 0x00
#define A2DP_APTX_HD_ACL_SPRINT_RESERVED2 0x00
#define A2DP_APTX_HD_ACL_SPRINT_RESERVED3 0x00

#endif  // A2DP_VENDOR_APTX_HD_CONSTANTS_H
